| TagLib 1.13 |  |

Namespaces | Macros | Typedefs
taglib.h File Reference
`#include "taglib_config.h"`
`#include <string>`
Include dependency graph for taglib.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces
namespace | TagLib
| A namespace for all TagLib related classes and functions.

## Macros
#define | TAGLIB_MAJOR_VERSION 1
#define | TAGLIB_MINOR_VERSION 13
#define | TAGLIB_PATCH_VERSION 0
#define | TAGLIB_IGNORE_MISSING_DESTRUCTOR
#define | TAGLIB_CONSTRUCT_BITSET(x) static_cast<unsigned long>(x)
#define | TAGLIB_DEPRECATED

## Typedefs
typedef wchar_t | TagLib::wchar
typedef unsigned char | TagLib::uchar
typedef unsigned short | TagLib::ushort
typedef unsigned int | TagLib::uint
typedef unsigned long | TagLib::ulong
typedef unsigned long long | TagLib::ulonglong
typedef std::basic_string< wchar_t > | TagLib::wstring

## Macro Definition Documentation

## ◆ TAGLIB_CONSTRUCT_BITSET

#define TAGLIB_CONSTRUCT_BITSET | ( |  | x | ) | static_cast<unsigned long>(x)

## ◆ TAGLIB_DEPRECATED

#define TAGLIB_DEPRECATED

## ◆ TAGLIB_IGNORE_MISSING_DESTRUCTOR

#define TAGLIB_IGNORE_MISSING_DESTRUCTOR

## ◆ TAGLIB_MAJOR_VERSION

#define TAGLIB_MAJOR_VERSION 1

## ◆ TAGLIB_MINOR_VERSION

#define TAGLIB_MINOR_VERSION 13

## ◆ TAGLIB_PATCH_VERSION

#define TAGLIB_PATCH_VERSION 0